// Generated by Selenium IDE
const { Builder, By, Key, until } = require('selenium-webdriver')
const assert = require('assert')

describe('Neues_Modul', function() {
  this.timeout(30000)
  let driver
  let vars
  beforeEach(async function() {
    driver = await new Builder().forBrowser('chrome').build()
    vars = {}
  })
  afterEach(async function() {
    await driver.quit();
  })
  it('Neues_Modul', async function() {
    await driver.get("http://advp44.gm.fh-koeln.de:8081/")
    await driver.manage().setTimeouts({ implicit: 3000 });

    //login
    await driver.findElement(By.css(".ng-star-inserted:nth-child(6) > .mat-mdc-list-item")).click()
    await driver.findElement(By.id("username")).sendKeys("qs_mv")
    await driver.findElement(By.id("password")).click()
    await driver.findElement(By.css(".col-sm-9")).click()
    await driver.findElement(By.id("password")).click()
    await driver.findElement(By.id("password")).sendKeys("test")
    await driver.findElement(By.id("kc-login")).click()

    await driver.findElement(By.xpath("//div[6]/mat-list-item/span/div")).click()
    await driver.findElement(By.xpath("//span[4]")).click()
    await driver.findElement(By.xpath("//label[@id=\'mat-mdc-form-field-label-0\']/mat-label")).click()
    await driver.findElement(By.id("mat-input-0")).sendKeys("Test Modul")
    await driver.findElement(By.id("mat-input-1")).click()
    await driver.findElement(By.id("mat-input-1")).sendKeys("TM")
    await driver.findElement(By.xpath("//div[@id=\'cdk-accordion-child-0\']/div/div[3]/cops-options-input/mat-form-field/div/div[2]/div")).click()
    await driver.findElement(By.id("mat-option-0")).click()
    await driver.findElement(By.id("mat-input-3")).click()
    await driver.findElement(By.id("mat-input-3")).sendKeys("6")
    await driver.findElement(By.xpath("//div[@id=\'cdk-accordion-child-0\']/div/div[5]/cops-options-input/mat-form-field/div/div[2]/div")).click()
    await driver.findElement(By.id("mat-option-2")).click()
    await driver.findElement(By.id("mat-input-5")).click()
    await driver.findElement(By.id("mat-input-5")).click()
    await driver.findElement(By.id("mat-input-5")).sendKeys("6")
    await driver.findElement(By.xpath("//label[@id=\'mat-mdc-form-field-label-12\']/mat-label")).click()
    await driver.findElement(By.xpath("//mat-option[@id=\'mat-option-6\']/span")).click()
    await driver.findElement(By.id("mat-input-7")).click()
    await driver.findElement(By.id("mat-option-9")).click()
    await driver.findElement(By.id("mat-input-7")).click()
    await driver.findElement(By.xpath("//cops-new-module-page/main")).click()
    {
      const element = await driver.findElement(By.id("mat-input-7"))
      assert(await element.isEnabled())
    }
    await driver.findElement(By.id("mat-input-7")).sendKeys("4")
    await driver.findElement(By.xpath("//mat-option[@id=\'mat-option-9\']/span")).click()
    await driver.findElement(By.id("mat-input-8")).click()
    {
      const element = await driver.findElement(By.id("mat-input-8"))
      assert(await element.isEnabled())
    }
    await driver.findElement(By.xpath("//mat-option[@id=\'mat-option-15\']/span")).click()
    await driver.findElement(By.id("mat-input-9")).click()
    await driver.findElement(By.xpath("//label[@id=\'mat-mdc-form-field-label-20\']/mat-label")).click()
    await driver.findElement(By.xpath("//mat-expansion-panel-header[@id=\'mat-expansion-panel-header-0\']/span/mat-panel-title")).click()
    await driver.findElement(By.xpath("//mat-expansion-panel-header[@id=\'mat-expansion-panel-header-1\']/span/mat-panel-title")).click()
    await driver.findElement(By.xpath("//div[@id=\'cdk-accordion-child-1\']/div/div/cops-options-input/mat-form-field/div/div[2]/div")).click()
    await driver.findElement(By.id("mat-option-18")).click()
    await driver.findElement(By.xpath("//div[@id=\'cdk-accordion-child-1\']/div/div/cops-options-input/mat-form-field/div/div[2]/div")).click()
    await driver.findElement(By.id("mat-input-11")).click()
    await driver.findElement(By.id("mat-option-18")).click()
    await driver.findElement(By.id("mat-input-12")).click()
    await driver.findElement(By.id("mat-input-12")).click()
    {
      const element = await driver.findElement(By.xpath("//div[@id=\'cdk-accordion-child-1\']/div/div[2]/cops-read-only-input/mat-form-field/div/div[2]/div[2]/button/span[3]"))
      await driver.actions({ bridge: true }).moveToElement(element).perform()
    }
    await driver.findElement(By.xpath("//div[@id=\'cdk-accordion-child-1\']/div/div[2]/cops-read-only-input/mat-form-field/div/div[2]/div[2]/button/span[3]")).click()
    {
      const element = await driver.findElement(By.CSS_SELECTOR, "body")
      await driver.actions({ bridge: true }).moveToElement(element, 0, 0).perform()
    }
    {
      const element = await driver.findElement(By.xpath("//mat-dialog-container[@id=\'mat-mdc-dialog-0\']/div/div/cops-multiple-edit-dialog/div/mat-card/mat-card-actions/button[2]/span[4]"))
      await driver.actions({ bridge: true }).moveToElement(element).perform()
    }
    {
      const element = await driver.findElement(By.CSS_SELECTOR, "body")
      await driver.actions({ bridge: true }).moveToElement(element, 0, 0).perform()
    }
    {
      const element = await driver.findElement(By.xpath("//mat-dialog-container[@id=\'mat-mdc-dialog-0\']/div/div/cops-multiple-edit-dialog/div/mat-dialog-actions/button[2]/span[4]"))
      await driver.actions({ bridge: true }).moveToElement(element).perform()
    }
    {
      const element = await driver.findElement(By.CSS_SELECTOR, "body")
      await driver.actions({ bridge: true }).moveToElement(element, 0, 0).perform()
    }
    await driver.findElement(By.xpath("//mat-dialog-container[@id=\'mat-mdc-dialog-0\']/div/div/cops-multiple-edit-dialog/div/mat-dialog-actions/button[2]/span[2]")).click()
    await driver.findElement(By.xpath("//label[@id=\'mat-mdc-form-field-label-24\']/mat-label")).click()
    {
      const element = await driver.findElement(By.xpath("//div[@id=\'cdk-accordion-child-1\']/div/div[2]/cops-read-only-input/mat-form-field/div/div[2]/div[2]/button/span[3]"))
      await driver.actions({ bridge: true }).moveToElement(element).perform()
    }
    await driver.findElement(By.xpath("//div[@id=\'cdk-accordion-child-1\']/div/div[2]/cops-read-only-input/mat-form-field/div/div[2]/div[2]/button/span[3]")).click()
    {
      const element = await driver.findElement(By.CSS_SELECTOR, "body")
      await driver.actions({ bridge: true }).moveToElement(element, 0, 0).perform()
    }
    await driver.findElement(By.id("mat-input-43")).click()
    await driver.findElement(By.id("mat-option-285")).click()
    {
      const element = await driver.findElement(By.xpath("//mat-dialog-container[@id=\'mat-mdc-dialog-1\']/div/div/cops-multiple-edit-dialog/div/mat-card/mat-card-actions/button[2]/span[4]"))
      await driver.actions({ bridge: true }).moveToElement(element).perform()
    }
    {
      const element = await driver.findElement(By.CSS_SELECTOR, "body")
      await driver.actions({ bridge: true }).moveToElement(element, 0, 0).perform()
    }
    {
      const element = await driver.findElement(By.xpath("//mat-dialog-container[@id=\'mat-mdc-dialog-1\']/div/div/cops-multiple-edit-dialog/div/mat-card/mat-card-actions/button/span[4]"))
      await driver.actions({ bridge: true }).moveToElement(element).perform()
    }
    {
      const element = await driver.findElement(By.CSS_SELECTOR, "body")
      await driver.actions({ bridge: true }).moveToElement(element, 0, 0).perform()
    }
    {
      const element = await driver.findElement(By.xpath("//mat-dialog-container[@id=\'mat-mdc-dialog-1\']/div/div/cops-multiple-edit-dialog/div/mat-card/mat-card-actions/button/span[2]"))
      await driver.actions({ bridge: true }).moveToElement(element).perform()
    }
    await driver.findElement(By.xpath("//mat-dialog-container[@id=\'mat-mdc-dialog-1\']/div/div/cops-multiple-edit-dialog/div/mat-card/mat-card-actions/button/span[2]")).click()
    {
      const element = await driver.findElement(By.CSS_SELECTOR, "body")
      await driver.actions({ bridge: true }).moveToElement(element, 0, 0).perform()
    }
    await driver.findElement(By.xpath("//mat-dialog-container[@id=\'mat-mdc-dialog-1\']/div/div/cops-multiple-edit-dialog/div/mat-dialog-actions/button/span[2]")).click()
    await driver.findElement(By.id("mat-expansion-panel-header-2")).click()
    await driver.findElement(By.id("mat-input-13")).click()
    {
      const element = await driver.findElement(By.xpath("//div[@id=\'cdk-accordion-child-2\']/div/div/cops-read-only-input/mat-form-field/div/div[2]/div[2]/button/span[3]"))
      await driver.actions({ bridge: true }).moveToElement(element).perform()
    }
    await driver.findElement(By.xpath("//div[@id=\'cdk-accordion-child-2\']/div/div/cops-read-only-input/mat-form-field/div/div[2]/div[2]/button/span[3]")).click()
    {
      const element = await driver.findElement(By.CSS_SELECTOR, "body")
      await driver.actions({ bridge: true }).moveToElement(element, 0, 0).perform()
    }
    await driver.findElement(By.xpath("//mat-dialog-container[@id=\'mat-mdc-dialog-2\']/div/div/cops-multiple-edit-dialog/div/mat-card/mat-card-content/cops-options-input/mat-form-field/div/div[2]/div")).click()
    await driver.findElement(By.xpath("//mat-option[@id=\'mat-option-547\']/span")).click()
    {
      const element = await driver.findElement(By.xpath("//mat-dialog-container[@id=\'mat-mdc-dialog-2\']/div/div/cops-multiple-edit-dialog/div/mat-card/mat-card-actions/button[2]/span[4]"))
      await driver.actions({ bridge: true }).moveToElement(element).perform()
    }
    {
      const element = await driver.findElement(By.CSS_SELECTOR, "body")
      await driver.actions({ bridge: true }).moveToElement(element, 0, 0).perform()
    }
    {
      const element = await driver.findElement(By.xpath("//mat-dialog-container[@id=\'mat-mdc-dialog-2\']/div/div/cops-multiple-edit-dialog/div/mat-card/mat-card-actions/button/span[4]"))
      await driver.actions({ bridge: true }).moveToElement(element).perform()
    }
    {
      const element = await driver.findElement(By.CSS_SELECTOR, "body")
      await driver.actions({ bridge: true }).moveToElement(element, 0, 0).perform()
    }
    await driver.findElement(By.xpath("//mat-dialog-container[@id=\'mat-mdc-dialog-2\']/div/div/cops-multiple-edit-dialog/div/mat-card/mat-card-actions/button/span[2]")).click()
    await driver.findElement(By.xpath("//mat-dialog-container[@id=\'mat-mdc-dialog-2\']/div/div/cops-multiple-edit-dialog/div/mat-dialog-actions/button/span[2]")).click()
    {
      const element = await driver.findElement(By.xpath("//div[@id=\'cdk-accordion-child-2\']/div/div[2]/cops-read-only-input/mat-form-field/div/div[2]/div[2]/button/span[3]"))
      await driver.actions({ bridge: true }).moveToElement(element).perform()
    }
    {
      const element = await driver.findElement(By.CSS_SELECTOR, "body")
      await driver.actions({ bridge: true }).moveToElement(element, 0, 0).perform()
    }
    await driver.findElement(By.xpath("//mat-expansion-panel-header[@id=\'mat-expansion-panel-header-3\']/span/mat-panel-title")).click()
    await driver.findElement(By.id("mat-input-15")).click()
    await driver.findElement(By.id("mat-input-15")).sendKeys(Key.UP)
    await driver.findElement(By.id("mat-input-15")).sendKeys("1")
    await driver.findElement(By.id("mat-input-15")).sendKeys(Key.UP)
    await driver.findElement(By.id("mat-input-15")).sendKeys("2")
    await driver.findElement(By.id("mat-input-15")).sendKeys(Key.UP)
    await driver.findElement(By.id("mat-input-15")).sendKeys("3")
    await driver.findElement(By.id("mat-input-15")).sendKeys(Key.UP)
    await driver.findElement(By.id("mat-input-15")).sendKeys("4")
    await driver.findElement(By.id("mat-input-15")).sendKeys(Key.UP)
    await driver.findElement(By.id("mat-input-15")).sendKeys("5")
    await driver.findElement(By.id("mat-input-15")).sendKeys(Key.UP)
    await driver.findElement(By.id("mat-input-15")).sendKeys("6")
    await driver.findElement(By.id("mat-input-15")).sendKeys(Key.UP)
    await driver.findElement(By.id("mat-input-15")).sendKeys("7")
    await driver.findElement(By.id("mat-input-16")).click()
    await driver.findElement(By.id("mat-input-16")).sendKeys(Key.UP)
    await driver.findElement(By.id("mat-input-16")).sendKeys("1")
    await driver.findElement(By.id("mat-input-16")).sendKeys(Key.UP)
    await driver.findElement(By.id("mat-input-16")).sendKeys("2")
    await driver.findElement(By.id("mat-input-16")).sendKeys(Key.UP)
    await driver.findElement(By.id("mat-input-16")).sendKeys("3")
    await driver.findElement(By.id("mat-input-17")).click()
    await driver.findElement(By.id("mat-input-17")).sendKeys(Key.DOWN)
    await driver.findElement(By.id("mat-input-17")).sendKeys("-1")
    await driver.findElement(By.id("mat-input-17")).sendKeys(Key.DOWN)
    await driver.findElement(By.id("mat-input-17")).sendKeys("-2")
    await driver.findElement(By.id("mat-input-17")).sendKeys(Key.DOWN)
    await driver.findElement(By.id("mat-input-17")).sendKeys("-3")
    await driver.findElement(By.id("mat-input-17")).sendKeys(Key.DOWN)
    await driver.findElement(By.id("mat-input-17")).sendKeys("-4")
    {
      const value = await driver.findElement(By.id("mat-input-17")).getAttribute("value")
      assert(value === "0")
    }
    await driver.findElement(By.id("mat-input-17")).sendKeys(Key.UP)
    await driver.findElement(By.id("mat-input-17")).sendKeys("-3")
    await driver.findElement(By.id("mat-input-17")).sendKeys(Key.UP)
    await driver.findElement(By.id("mat-input-17")).sendKeys("-2")
    await driver.findElement(By.id("mat-input-17")).sendKeys(Key.UP)
    await driver.findElement(By.id("mat-input-17")).sendKeys("-1")
    await driver.findElement(By.id("mat-input-17")).sendKeys(Key.UP)
    await driver.findElement(By.id("mat-input-17")).sendKeys("0")
    await driver.findElement(By.id("mat-input-17")).sendKeys(Key.UP)
    await driver.findElement(By.id("mat-input-17")).sendKeys("1")
    await driver.findElement(By.id("mat-input-17")).sendKeys(Key.UP)
    await driver.findElement(By.id("mat-input-17")).sendKeys("2")
    await driver.findElement(By.id("mat-input-17")).sendKeys(Key.UP)
    await driver.findElement(By.id("mat-input-17")).sendKeys("3")
    await driver.findElement(By.id("mat-input-18")).click()
    await driver.findElement(By.id("mat-input-18")).sendKeys(Key.UP)
    await driver.findElement(By.id("mat-input-18")).sendKeys("1")
    await driver.findElement(By.id("mat-input-18")).sendKeys(Key.UP)
    await driver.findElement(By.id("mat-input-18")).sendKeys("2")
    await driver.findElement(By.id("mat-input-19")).click()
    await driver.findElement(By.id("mat-input-19")).sendKeys(Key.UP)
    await driver.findElement(By.id("mat-input-19")).sendKeys("1")
    await driver.findElement(By.id("mat-input-19")).sendKeys(Key.UP)
    await driver.findElement(By.id("mat-input-19")).sendKeys("2")
    await driver.findElement(By.id("mat-input-20")).click()
    await driver.findElement(By.id("mat-input-20")).sendKeys(Key.UP)
    await driver.findElement(By.id("mat-input-20")).sendKeys("1")
    await driver.findElement(By.xpath("//mat-expansion-panel-header[@id=\'mat-expansion-panel-header-4\']/span/mat-panel-title")).click()
    await driver.findElement(By.id("mat-expansion-panel-header-5")).click()
    await driver.findElement(By.xpath("//div[@id=\'cdk-accordion-child-5\']/div/div/cops-read-only-input/mat-form-field/div/div[2]/div")).click()
    {
      const element = await driver.findElement(By.xpath("//div[@id=\'cdk-accordion-child-5\']/div/div/cops-read-only-input/mat-form-field/div/div[2]/div[2]/button/span[3]"))
      await driver.actions({ bridge: true }).moveToElement(element).perform()
    }
    {
      const element = await driver.findElement(By.CSS_SELECTOR, "body")
      await driver.actions({ bridge: true }).moveToElement(element, 0, 0).perform()
    }
    await driver.findElement(By.xpath("//div[@id=\'cdk-accordion-child-5\']/div/div/cops-read-only-input/mat-form-field/div/div[2]/div[2]/button/span[3]")).click()
    await driver.findElement(By.id("mat-input-47")).click()
    await driver.findElement(By.xpath("//mat-option[@id=\'mat-option-647\']/span")).click()
    await driver.findElement(By.xpath("//label[@id=\'mat-mdc-form-field-label-96\']/mat-label")).click()
    {
      const element = await driver.findElement(By.xpath("//mat-dialog-container[@id=\'mat-mdc-dialog-3\']/div/div/cops-multiple-edit-dialog/div/mat-card/mat-card-actions/button/span[4]"))
      await driver.actions({ bridge: true }).moveToElement(element).perform()
    }
    {
      const element = await driver.findElement(By.CSS_SELECTOR, "body")
      await driver.actions({ bridge: true }).moveToElement(element, 0, 0).perform()
    }
    {
      const element = await driver.findElement(By.xpath("//mat-dialog-container[@id=\'mat-mdc-dialog-3\']/div/div/cops-multiple-edit-dialog/div/mat-card/mat-card-actions/button/span[2]"))
      await driver.actions({ bridge: true }).moveToElement(element).perform()
    }
    await driver.findElement(By.id("mat-input-48")).sendKeys("2")
    await driver.findElement(By.xpath("//mat-dialog-container[@id=\'mat-mdc-dialog-3\']/div/div/cops-multiple-edit-dialog/div/mat-card/mat-card-actions/button/span[2]")).click()
    {
      const element = await driver.findElement(By.CSS_SELECTOR, "body")
      await driver.actions({ bridge: true }).moveToElement(element, 0, 0).perform()
    }
    await driver.findElement(By.xpath("//mat-dialog-container[@id=\'mat-mdc-dialog-3\']/div/div/cops-multiple-edit-dialog/div/mat-dialog-actions/button/span[2]")).click()
    await driver.findElement(By.xpath("//mat-expansion-panel-header[@id=\'mat-expansion-panel-header-6\']/span/mat-panel-title")).click()
    await driver.findElement(By.xpath("//mat-expansion-panel-header[@id=\'mat-expansion-panel-header-7\']/span/mat-panel-title")).click()
    await driver.findElement(By.id("mat-input-32")).click()
    await driver.findElement(By.id("mat-input-33")).click()
    await driver.findElement(By.xpath("//mat-expansion-panel-header[@id=\'mat-expansion-panel-header-8\']/span/mat-panel-title")).click()
    await driver.findElement(By.id("mat-expansion-panel-header-9")).click()
    await driver.findElement(By.id("mat-expansion-panel-header-10")).click()
    await driver.findElement(By.xpath("//mat-expansion-panel-header[@id=\'mat-expansion-panel-header-11\']/span/mat-panel-title")).click()
    {
      const element = await driver.findElement(By.xpath("//cops-module-form-actions/div/button/span[4]"))
      await driver.actions({ bridge: true }).moveToElement(element).perform()
    }
    {
      const element = await driver.findElement(By.CSS_SELECTOR, "body")
      await driver.actions({ bridge: true }).moveToElement(element, 0, 0).perform()
    }
    {
      const element = await driver.findElement(By.xpath("//button[2]/span[2]"))
      await driver.actions({ bridge: true }).moveToElement(element).perform()
    }
    {
      const element = await driver.findElement(By.CSS_SELECTOR, "body")
      await driver.actions({ bridge: true }).moveToElement(element, 0, 0).perform()
    }
    await driver.findElement(By.xpath("//button[2]/span[4]")).click()
    await driver.findElement(By.xpath("//button[2]/span[2]")).click()
    assert(await driver.findElement(By.xpath("//tr[2]/td/span")).getText() === "Test Modul (TM)")
  })
})
